package ru.yandex.webmaster3.viewer.http.download.searchquery;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.searchquery.PathId;
import ru.yandex.webmaster3.core.searchquery.SpecialGroup;
import ru.yandex.webmaster3.storage.searchquery.AggregatePeriod;

/**
 * @author lester
 */
public class DownloadStatisticSelectedUrlRequest extends DownloadStatisticRequest {
    private SpecialGroup specialGroup = SpecialGroup.TOP_URLS;
    private PathId pathId;
    private AggregatePeriod period = AggregatePeriod.DAY;

    public SpecialGroup getSpecialGroup() {
        return specialGroup;
    }

    @RequestQueryProperty()
    public void setSpecialGroup(SpecialGroup specialGroup) {
        this.specialGroup = specialGroup;
    }

    public PathId getPathId() {
        return pathId;
    }

    @RequestQueryProperty()
    public void setPathId(PathId pathId) {
        this.pathId = pathId;
    }

    public AggregatePeriod getPeriod() {
        return period;
    }

    @RequestQueryProperty()
    public void setPeriod(AggregatePeriod period) {
        this.period = period;
    }
}
